#version 120

attribute vec3 vertexPosition;
attribute vec2 vertexTexCoord;
attribute vec3 vertexNormal;
attribute vec4 vertexColor;

uniform mat4 mvp;

varying vec2 texcoord;
varying vec4 color;
varying vec2 pixel_position;

void main() {
    texcoord = vertexTexCoord;
    color = vertexColor;
    pixel_position = vertexPosition.xy;
    gl_Position = mvp * vec4(vertexPosition, 1.0);
}
